	assign inta = intEnable & interrupt;
    always @(posedge clock) if (reset)                          intEnable <= 0	;
                             else if (inta)                     intEnable <= 0	;
                                   else if (opCode == ei)       intEnable <= 1	;
                                         else if (opCode == di) intEnable <= 0	;
    always @(posedge clock)
     if (reset)                    	programCounter <= 0                         ;
      else if (inta)               	programCounter <= regFile[31]               ;
            else case(opCode)
                    jmp  	:    	programCounter <= regFile[leftAddr]        	;		
                    zjmp	: if (regFile[leftAddr] == 0)	
									programCounter <= programCounter + immValue	;
							   else programCounter <= programCounter + 1      	;
                    nzjmp	: if (regFile[leftAddr] !== 0)
									programCounter <= programCounter + immValue	;
							   else programCounter <= programCounter + 1        ;
					rjmp  	:    	programCounter <= programCounter + immValue	;
                    receive	: if (!empty) 
									programCounter <= programCounter + 1        ;
							   else programCounter <= programCounter            ;
					issue	: if (!full) 
									programCounter <= programCounter + 1        ;
							   else programCounter <= programCounter            ;
                    halt :       	programCounter <= programCounter            ;
                    default      	programCounter <= programCounter + 1        ;
                 endcase