module dataMemory(	input	[31:0]	dataAddr	,
					input	[31:0]	dataOut		,
					input			write		,
					output	[31:0]	dataIn		,
					input			clock		);
					
	reg	[31:0] memory[0:1023]	;
	
	assign dataIn = (dataAddr[31:10] == 22'b0) ? memory[dataAddr[9:0]] : 32'b0	;
	
	always @(posedge clock) if (write && (dataAddr[31:10] == 22'b0)) memory[dataAddr[9:0]] <= dataOut	;
	
endmodule
