module programMemory(	input	[31:0]	progAddr	,
						output	[31:0]	instruction	,
						input	[31:0]	loadAddr	,
						input	[31:0]	codeIn		,
						input			codeWr		,
						input			clock		);
	reg	[31:0] memory[0:1023]	;
	
	assign instruction = (progAddr[31:10] == 22'b0) ? memory[progAddr[9:0]] : 32'b0	;
	
	always @(posedge clock) if (codeWr && (loadAddr[31:10] == 22'b0)) memory[loadAddr[9:0]] <= codeIn	;
endmodule
